<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE  mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.yonge.cooleshow.biz.dal.dao.StudentTimeDao">
    <resultMap id="BaseResultMap" type="com.yonge.cooleshow.biz.dal.entity.StudentTime">
        <result column="user_id_" property="userId" />
        <result column="first_vip_time_" property="firstVipTime" />
        <result column="first_svip_time_" property="firstSvipTime" />
        <result column="first_practice_time_" property="firstPracticeTime" />
        <result column="first_video_time_" property="firstVideoTime" />
        <result column="first_live_time_" property="firstLiveTime" />
        <result column="first_music_time_" property="firstMusicTime" />
        <result column="first_mall_time_" property="firstMallTime" />
        <result column="first_activity_time_" property="firstActivityTime" />
        <result column="first_pay_time_" property="firstPayTime" />
    </resultMap>

    <!-- 表字段 -->
    <sql id="baseColumns">
         t.user_id_ as userId
        , t.first_vip_time_ as firstVipTime
        , t.first_svip_time_ as firstSvipTime
        , t.first_practice_time_ as firstPracticeTime
        , t.first_video_time_ as firstVideoTime
        , t.first_live_time_ as firstLiveTime
        , t.first_music_time_ as firstMusicTime
        , t.first_mall_time_ as firstMallTime
        , t.first_activity_time_ as firstActivityTime
        , t.first_pay_time_ as firstPayTime
        </sql>
</mapper>